/**
* @par Copyright (C): 2010-2019, Shenzhen Yahboom Tech
* @file         SerialIR.ino
* @author       chengengyue
* @version      V1.0
* @date         2019.10.08
* @brief        串口打印红外传感器的值
* @details
* @par History  见如下说明
*/
#define IR_SENSOR_L1 A3
#define IR_SENSOR_L2 A0
#define IR_SENSOR_R1 A2
#define IR_SENSOR_R2 A1
#define IR_SENSOR_MID A7

/*定义变量来保存红外传感器采集的数据大小*/
int ir_L1; // 左前
int ir_L2; // 左后
int ir_R1; // 右前
int ir_R2; // 右后
int ir_Mid; // 前中

void setup() {
  // put your setup code here, to run once:
  pinMode(IR_SENSOR_L1, INPUT);
  pinMode(IR_SENSOR_L2, INPUT);
  pinMode(IR_SENSOR_R1, INPUT);
  pinMode(IR_SENSOR_R2, INPUT);
  pinMode(IR_SENSOR_MID, INPUT);

  // 初始化串口，波特率为9600
  Serial.begin(9600);
  Serial.println("Hello World!");
}

void loop() {
  // put your main code here, to run repeatedly:
  // 读取各个传感器的模拟值，距离越远数值越大
  ir_L1 = analogRead(IR_SENSOR_L1);
  ir_L2 = analogRead(IR_SENSOR_L2);
  ir_R1 = analogRead(IR_SENSOR_R1);
  ir_R2 = analogRead(IR_SENSOR_R2);
  ir_Mid = analogRead(IR_SENSOR_MID);

  // 打印数据
  Serial.print("Mid=");
  Serial.print(ir_Mid);
  Serial.print("\tL1=");
  Serial.print(ir_L1);
  Serial.print("\tL2=");
  Serial.print(ir_L2);
  Serial.print("\tR1=");
  Serial.print(ir_R1);
  Serial.print("\tR2=");
  Serial.print(ir_R2);
  Serial.println("");

  delay(10);
}
